WindowsSplitPaneUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.windows
Class WindowsSplitPaneUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.SplitPaneUI
              javax.swing.plaf.basic.BasicSplitPaneUI
                  com.sun.java.swing.plaf.windows.WindowsSplitPaneUI
                      com.jgoodies.looks.windows.WindowsSplitPaneUI

    public final class WindowsSplitPaneUI

extends com.sun.java.swing.plaf.windows.WindowsSplitPaneUI

The JGoodies Windows L&F implementation of `SplitPaneUI`. Uses a special divider that paints modified one-touch buttons.

Version:
  $Revision: 1.9 $
Author:
  Karsten Lentzsch
See Also:
  `WindowsSplitPaneDivider`

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`BasicSplitPaneUI.BasicHorizontalLayoutManager, BasicSplitPaneUI.BasicVerticalLayoutManager, BasicSplitPaneUI.FocusHandler, BasicSplitPaneUI.KeyboardDownRightHandler, BasicSplitPaneUI.KeyboardEndHandler, BasicSplitPaneUI.KeyboardHomeHandler, BasicSplitPaneUI.KeyboardResizeToggleHandler, BasicSplitPaneUI.KeyboardUpLeftHandler, BasicSplitPaneUI.PropertyHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`beginDragDividerLocation, divider, dividerResizeToggleKey, dividerSize, downKey, draggingHW, endKey, focusListener, homeKey, KEYBOARD_DIVIDER_MOVE_OFFSET, keyboardDownRightListener, keyboardEndListener, keyboardHomeListener, keyboardResizeToggleListener, keyboardUpLeftListener, layoutManager, leftKey, NON_CONTINUOUS_DIVIDER, nonContinuousLayoutDivider, propertyChangeListener, rightKey, splitPane, upKey`

Constructor Summary
`WindowsSplitPaneUI()`

Method Summary
`BasicSplitPaneDivider` | `createDefaultDivider()` Creates and returns the modified default divider.
`static ComponentUI` | `createUI(JComponent x)` Creates and returns a `WindowsSplitPaneUI` instance.

Methods inherited from class javax.swing.plaf.basic.BasicSplitPaneUI
`createDefaultNonContinuousLayoutDivider, createFocusListener, createKeyboardDownRightListener, createKeyboardEndListener, createKeyboardHomeListener, createKeyboardResizeToggleListener, createKeyboardUpLeftListener, createPropertyChangeListener, dragDividerTo, finishDraggingTo, finishedPaintingChildren, getDivider, getDividerBorderSize, getDividerLocation, getInsets, getLastDragLocation, getMaximumDividerLocation, getMaximumSize, getMinimumDividerLocation, getMinimumSize, getNonContinuousLayoutDivider, getOrientation, getPreferredSize, getSplitPane, installDefaults, installKeyboardActions, installListeners, installUI, isContinuousLayout, paint, resetLayoutManager, resetToPreferredSizes, setContinuousLayout, setDividerLocation, setLastDragLocation, setNonContinuousLayoutDivider, setNonContinuousLayoutDivider, setOrientation, startDragging, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WindowsSplitPaneUI

    public WindowsSplitPaneUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent x)

  Creates and returns a `WindowsSplitPaneUI` instance.

### createDefaultDivider

    public BasicSplitPaneDivider createDefaultDivider()

  Creates and returns the modified default divider.

  Overrides:
    `createDefaultDivider` in class `com.sun.java.swing.plaf.windows.WindowsSplitPaneUI`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.